Bug 1507835 - NS_ERROR_NET_INADEQUATE_SECURITY on opening www.wikipedia.de
Summary: NS_ERROR_NET_INADEQUATE_SECURITY on opening www.wikipedia.de
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-31 09:31 UTC by Joachim Backes
Modified: 2019-06-01 20:51 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-31 10:23:31 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Joachim Backes 2017-10-31 09:31:07 UTC
Description of problem:
I'm having a problem with the wikipedia.de website since some firefox versions: If I try to open it, 
I get some warning issue:

-----------------------------------------------------------------------------

Your connection is not secure

The website tried to negotiate an inadequate level of security.

wiki2.wikimedia.de uses security technology that is outdated and 
vulnerable to attack. An attacker could easily reveal information which 
you thought to be safe. The website administrator will need to fix the 
server first before you can visit the site.

Error code: NS_ERROR_NET_INADEQUATE_SECURITY
--------------------------------------------------------------------------------

Version-Release number of selected component (if applicable):
firefox-57.0-0.8.fc26.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Start firefox
2.Try to open https://www.wikipedia.de
3.

Actual results:
See description

Expected results:


Additional info:
1. Until some FF versions before (don't remember, which one), I had no such warning issues
2. I don't know, whether this is a FF problem, or a problem of www.wikipedia.de.

Comment 1 Joachim Backes 2017-10-31 10:23:31 UTC
I could solve the problem by purging the FF cache.

Comment 2 Richard W.M. Jones 2017-12-13 11:12:23 UTC
This is actually a bug, and clearing the firefox doesn't help.

The problem is as described here:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=833719

You need to update ‘nss’ to the version in Fedora 27.
firefox could be fixed here by having it require a minimum
version of nss.

Comment 3 Brad Bell 2019-06-01 20:51:35 UTC
This problem was still present in Fedora 28 (which is past end of life).
I had to manually update nss and restart firefox to fix the problem

One would expect this to be fixed; 
i.e., the install of firefox would require a new enough version of nss.


Note You need to log in before you can comment on or make changes to this bug.